org.keycloak.models.jpa.session

## Class PersistentUserSessionEntity

- java.lang.Object
- - org.keycloak.models.jpa.session.PersistentUserSessionEntity

-     @Entity
      public class PersistentUserSessionEntity
      extends Object

  Author:
    Marek Posolda

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PersistentUserSessionEntity.Key`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `createdOn`
    `protected String` | `data`
    `protected int` | `lastSessionRefresh`
    `protected String` | `offline`
    `protected String` | `realmId`
    `protected String` | `userId`
    `protected String` | `userSessionId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistentUserSessionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCreatedOn()`
    `String` | `getData()`
    `int` | `getLastSessionRefresh()`
    `String` | `getOffline()`
    `String` | `getRealmId()`
    `String` | `getUserId()`
    `String` | `getUserSessionId()`
    `void` | `setCreatedOn(int createdOn)`
    `void` | `setData(String data)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setOffline(String offline)`
    `void` | `setRealmId(String realmId)`
    `void` | `setUserId(String userId)`
    `void` | `setUserSessionId(String userSessionId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### userSessionId

          protected String userSessionId

    - #### realmId

          protected String realmId

    - #### userId

          protected String userId

    - #### createdOn

          protected int createdOn

    - #### lastSessionRefresh

          protected int lastSessionRefresh

    - #### offline

          protected String offline

    - #### data

          protected String data

  - ### Constructor Detail

    - #### PersistentUserSessionEntity

          public PersistentUserSessionEntity()

  - ### Method Detail

    - #### getUserSessionId

          public String getUserSessionId()

    - #### setUserSessionId

          public void setUserSessionId(String userSessionId)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getCreatedOn

          public int getCreatedOn()

    - #### setCreatedOn

          public void setCreatedOn(int createdOn)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### getOffline

          public String getOffline()

    - #### setOffline

          public void setOffline(String offline)

    - #### getData

          public String getData()

    - #### setData

          public void setData(String data)

Copyright © 2021 JBoss by Red Hat. All rights reserved.